from invoke import Collection
from . import cache
from . import classify
from . import console
from . import dns
from . import impersonate
from . import sys
try:
    from . import parser
    load_parser = True
except (ModuleNotFoundError, ImportError):
    load_parser = False

ns = Collection()
ns.add_collection(cache)
ns.add_collection(classify)
ns.add_collection(console)
ns.add_collection(dns)
if load_parser:
    ns.add_collection(parser)
ns.add_collection(sys)

# Add as tasks so that we can run them without
# specifying a namespace
ns.add_task(sys.health)
ns.add_task(sys.restart)
ns.add_task(impersonate.impersonate)
